curl --request POST \
--url https://api.vooma.ai/v0/carriers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier": {
"name": "<string>",
"equipment": [
{
"equipment": {
"type": "BOX_TRUCK",
"equipmentLength": {
"value": 123,
"units": "IN"
},
"temperature": {
"units": "F",
"max": 123,
"min": 123
},
"description": "<string>"
},
"trailerNumber": "<string>",
"truckNumber": "<string>"
}
],
"contacts": [
{
"contact": {
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>",
"customerId": "<string>",
"carrierId": "<string>"
},
"type": "DRIVER"
}
],
"dotNumber": "<string>",
"mcNumber": "<string>"
}
}
'{
"name": "<string>",
"id": "<string>",
"equipment": [
{
"equipment": {
"type": "BOX_TRUCK",
"equipmentLength": {
"value": 123,
"units": "IN"
},
"temperature": {
"units": "F",
"max": 123,
"min": 123
},
"description": "<string>"
},
"trailerNumber": "<string>",
"truckNumber": "<string>"
}
],
"contacts": [
{
"contact": {
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>",
"customerId": "<string>",
"carrierId": "<string>"
},
"type": "DRIVER"
}
],
"dotNumber": "<string>",
"mcNumber": "<string>"
}curl --request POST \
--url https://api.vooma.ai/v0/carriers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier": {
"name": "<string>",
"equipment": [
{
"equipment": {
"type": "BOX_TRUCK",
"equipmentLength": {
"value": 123,
"units": "IN"
},
"temperature": {
"units": "F",
"max": 123,
"min": 123
},
"description": "<string>"
},
"trailerNumber": "<string>",
"truckNumber": "<string>"
}
],
"contacts": [
{
"contact": {
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>",
"customerId": "<string>",
"carrierId": "<string>"
},
"type": "DRIVER"
}
],
"dotNumber": "<string>",
"mcNumber": "<string>"
}
}
'{
"name": "<string>",
"id": "<string>",
"equipment": [
{
"equipment": {
"type": "BOX_TRUCK",
"equipmentLength": {
"value": 123,
"units": "IN"
},
"temperature": {
"units": "F",
"max": 123,
"min": 123
},
"description": "<string>"
},
"trailerNumber": "<string>",
"truckNumber": "<string>"
}
],
"contacts": [
{
"contact": {
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>",
"customerId": "<string>",
"carrierId": "<string>"
},
"type": "DRIVER"
}
],
"dotNumber": "<string>",
"mcNumber": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes